extends Control


# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta: float) -> void:
	pass


func _on_button_button_down() -> void:
	# Play audio
	$mmm.play(0.0)
	await get_tree().create_timer(0.5).timeout

	$Ghoul.visible = true
	await get_tree().create_timer(1.3).timeout
	$Ghoul.visible = false
